Bug 176386 - ALSA IEC958 seems to cause sound blaster hissing
ALSA IEC958 seems to cause sound blaster hissing
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
Depends On:
  Show dependency treegraph
Reported: 2005-12-21 19:44 EST by gareth foster
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-30 05:27:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description gareth foster 2005-12-21 19:44:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; nb-NO; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I was suffering from the problem this reviewer mentions, and it would seem from what is pretty much a days worth of googling that myself and the reviewer are not the only ones with the trouble.


Those using SoundBlaster sound cards, for example, will notice a very staticky sound all over the operating system. There is a workaround, involving creating a custom asound.conf file, which fixes it for some applications, though not for others, and makes other applications that didn't have the problem start having it. You literally have to choose which programs that produce sound are most important to you and prioritize. This is such a nasty bug that I'm surprised that it wasn't addressed in the betas, which have this problem too.

I have (had) this trouble with 3 machines at home. I managed to track the 'solution' down at the following URL,


Anyway, I think the bug is that this should be muted by default, that way, when people enable it, they will notice the 'problem' it causes. That said, it may be the case that the ALSA hackers up stream need to stop the hissing.

On my machine, I hear the hissing in the right channel only, at all times. On my web server, I hear a 'fart' every two-odd seconds when playing back audio files. On my MythTV box, the sound quality is just aweful when I playback audio/video files. I have yet to test the 'fix' on the other two machines (I will update the bug as and when).

I had to make this change with the alsamixer program, the gnome mixer will not show this problem audio channel.

My email is down at the minute (the aforementioned web server's /home partition had a melt down). You can get me at earthwormgaz@jabber.org.uk if you need any info about the systems.

Here are some other useful links I found in my web trawling.


I will add something to the Fedora FAQ about this - assuming I can edit the wiki page.

Version-Release number of selected component (if applicable):
all fc4 kernels have been affected

How reproducible:

Steps to Reproduce:
1. use a sound blaster 16 ??

Actual Results:  you get strange hissy and dirty audio

Expected Results:  this channel should be muted, or fixed so as not to hiss

Additional info:

'Hardware Browser' reports this as follows:

Ensoniq 5880 AudioPCI

I bought it as a SB Card. The cards in the other machines will likely be similar, I can check if needs be (although I'll need to fix the web server before I can check that one).
Comment 1 gareth foster 2005-12-23 09:09:03 EST
This fix, *ahem*, bodge, also works on the MythTV box.
Comment 2 Martin Stransky 2005-12-29 09:46:04 EST
Thanks for your report. It's strange because all channels should be muted after
boot. Or do you have the IEC958 channel (or any recording channel) unmuted by
default (after boot)? I think it could be a bug in driver...
Comment 3 Martin Stransky 2006-01-03 10:31:45 EST
Some how-to for the latest alsa-driver and FC4 is here:
Comment 4 Michael De La Rue 2006-01-24 18:12:12 EST
I also have Ensoniq 5880 AudioPCI.  I had the same problem as described above
during and after a clean install, starting from the moment when I first
configured sound.  

The (GUI based) workaround is as follows.  

  -> double click on loudspeaker icon in menu bar
  -> edit -> preferences 
     -> select IEC958 -> close
  -> switches -> deselect IEC958

In other words, you have to disable the "IEC958".  After that everything works.  

appropriate line from lspci is 

00:08.0 Multimedia audio controller: Ensoniq 5880 AudioPCI (rev 04)

uname -a
Linux localhost.localdomain 2.6.14-1.1656_FC4 #1 Thu Jan 5 22:13:22 EST 2006
i686 athlon i386 GNU/Linux

system verified completely updated as of yesterday.  

Note You need to log in before you can comment on or make changes to this bug.